<?php

function install_package(){

	$core = cmsCore::getInstance();
  
  // Удаляем индекс логина, если он есть
  if ($core->db->isIndexExists('users', 'login')) {
    $core->db->dropIndex('users', 'login');
  }

  // Добавляем поле логина
  if (!$core->db->isFieldExists('users', 'login')) {
    $core->db->query("ALTER TABLE `{#}users` ADD `login` VARCHAR(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'Логин' AFTER `is_admin`;");
  }

  // Добавления логина Администратору
  $core->db->query("UPDATE `{#}users` SET  `login` = 'admin' WHERE `{#}users`.`id` =1;");
  
  // Копируем id в логины в пустые поля логинов
  $core->db->query("UPDATE `{#}users` SET  `login` = `id` WHERE ISNULL(`{#}users`.`login`);");

  // Добавляем индекс логина
  $core->db->addIndex('users', 'login', 'login', 'UNIQUE');

  // Обновление настроек "Авторизации и регистрации"
  $core->db->query("UPDATE `{#}controllers` SET `options` = '---\r\nis_reg_enabled: 1\r\nreg_reason: >\r\n  К сожалению, нам пока\r\n  не нужны новые\r\n  пользователи\r\nis_reg_invites: null\r\nreg_captcha: null\r\nverify_email: null\r\nreg_login: 1\r\nrules_url: /pages/about.html\r\ndef_groups:\r\n  - 3\r\nauth_login: 1\r\nauth_captcha: null\r\nrestricted_emails: |\r\n  *@shitmail.me\r\n  *@mailspeed.ru\r\n  *@temp-mail.ru\r\n  *@guerrillamail.com\r\n  *@12minutemail.com\r\n  *@mytempemail.com\r\n  *@spamobox.com\r\n  *@disposableinbox.com\r\n  *@filzmail.com\r\n  *@freemail.ms\r\n  *@anonymbox.com\r\n  *@lroid.com\r\n  *@yopmail.com\r\n  *@TempEmail.net\r\n  *@spambog.com\r\n  *@mailforspam.com\r\n  *@spam.su\r\n  *@no-spam.ws\r\n  *@mailinator.com\r\n  *@spamavert.com\r\n  *@trashcanmail.com\r\nrestricted_logins: |\r\n  admin*\r\n  moder*\r\nrestricted_names: |\r\n  admin*\r\n  админ*\r\n  модератор\r\n  moderator\r\nrestricted_ips:\r\nis_invites: 1\r\nis_invites_strict: 1\r\ninvites_period: 7\r\ninvites_qty: 3\r\ninvites_min_karma: 0\r\ninvites_min_rating: 0\r\ninvites_min_days: 0\r\n' WHERE `{#}controllers`.`id` = 6;");

  // Включение логинов в пункте «Мой профиль» «Персонального меню»
  $core->db->query("UPDATE  `{#}menu_items` SET  `url` =  'users/{user.login}' WHERE  `{#}menu_items`.`id` =13;");
  
  return true;

}